- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
pdftron::PDF::TextDiffOptions Class Reference

`#include <TextDiffOptions.h>`

## Public Member Functions
| TextDiffOptions ()
| ~TextDiffOptions ()
ColorPt | GetColorA ()
TextDiffOptions & | SetColorA (ColorPt color)
double | GetOpacityA ()
TextDiffOptions & | SetOpacityA (double opacity)
ColorPt | GetColorB ()
TextDiffOptions & | SetColorB (ColorPt color)
double | GetOpacityB ()
TextDiffOptions & | SetOpacityB (double opacity)
ColorPt | GetExtraMoveColor ()
TextDiffOptions & | SetExtraMoveColor (ColorPt color)
double | GetExtraMoveOpacity ()
TextDiffOptions & | SetExtraMoveOpacity (double opacity)
bool | GetCompareUsingZOrder ()
TextDiffOptions & | SetCompareUsingZOrder (bool value)
bool | GetExtraMoveHighlight ()
TextDiffOptions & | SetExtraMoveHighlight (bool value)
bool | GetShowPlaceholders ()
TextDiffOptions & | SetShowPlaceholders (bool value)
bool | GetCompareStyles ()
TextDiffOptions & | SetCompareStyles (bool value)
TextDiffOptions & | AddIgnoreZonesForPage (const RectCollection &regions, int page_num)

## Detailed Description

Definition at line 10 of file TextDiffOptions.h.

## Constructor & Destructor Documentation

pdftron::PDF::TextDiffOptions::TextDiffOptions | ( |  | ) |

pdftron::PDF::TextDiffOptions::~TextDiffOptions | ( |  | ) |

## Member Function Documentation

TextDiffOptions& pdftron::PDF::TextDiffOptions::AddIgnoreZonesForPage | ( | const RectCollection & | regions,
|  | int | page_num
| ) |  |

Adds a collection of ignorable regions for the given page, an optional list of page areas not to be included in analysis

Parameters

  regions,: | the zones to be added to the ignore list
  page_num,: | the page number the added regions belong to

Returns
  this object, for call chaining

ColorPt pdftron::PDF::TextDiffOptions::GetColorA | ( |  | ) |

Gets the value ColorA from the options object The difference color for deletions

Returns
  a ColorPt, the current value for ColorA in the form of R, G, B

ColorPt pdftron::PDF::TextDiffOptions::GetColorB | ( |  | ) |

Gets the value ColorB from the options object The difference color for insertions

Returns
  a ColorPt, the current value for ColorB in the form of R, G, B

bool pdftron::PDF::TextDiffOptions::GetCompareStyles | ( |  | ) |

Gets the value CompareStyles from the options object Whether to highlight text style differences. Off by default. Text style includes font, size, bold, italic and text color. For example, if a word is italic in document A and is bold in document B, we can highlight the location of the word in both documents.

Returns
  a bool, the current value for CompareStyles.

bool pdftron::PDF::TextDiffOptions::GetCompareUsingZOrder | ( |  | ) |

Gets the value CompareUsingZOrder from the options object Whether to use z-order (aka paint order) when comparing text between A and B. On by default.

Returns
  a bool, the current value for CompareUsingZOrder.

ColorPt pdftron::PDF::TextDiffOptions::GetExtraMoveColor | ( |  | ) |

Gets the value ExtraMoveColor from the options object The difference color for extra moves

Returns
  a ColorPt, the current value for ExtraMoveColor in the form of R, G, B

bool pdftron::PDF::TextDiffOptions::GetExtraMoveHighlight | ( |  | ) |

Gets the value ExtraMoveHighlight from the options object Whether to highlight text in between short-distance moves when comparing text between A and B. Off by default.

Returns
  a bool, the current value for ExtraMoveHighlight.

double pdftron::PDF::TextDiffOptions::GetExtraMoveOpacity | ( |  | ) |

Gets the value ExtraMoveOpacity from the options object The difference opacity for extra moves

Returns
  a double, the current value for ExtraMoveOpacity in between 0.0 (transparent) and 1.0 (opaque)

double pdftron::PDF::TextDiffOptions::GetOpacityA | ( |  | ) |

Gets the value OpacityA from the options object The difference opacity for deletions

Returns
  a double, the current value for OpacityA in between 0.0 (transparent) and 1.0 (opaque)

double pdftron::PDF::TextDiffOptions::GetOpacityB | ( |  | ) |

Gets the value OpacityB from the options object The difference opacity for insertions

Returns
  a double, the current value for OpacityB in between 0.0 (transparent) and 1.0 (opaque)

bool pdftron::PDF::TextDiffOptions::GetShowPlaceholders | ( |  | ) |

Gets the value ShowPlaceholders from the options object Whether to show placeholder annotations. On by default. Placeholders are insertion locations in document A and deletion locations in document B. For example, if a word is removed from document B, we can highlight the location of the original word in document A, but there is no word to highlight in B (it's removed). In this case a small "placeholder" annotation is placed in B to identify the location of the removal.

Returns
  a bool, the current value for ShowPlaceholders.

TextDiffOptions& pdftron::PDF::TextDiffOptions::SetColorA | ( | ColorPt | color | ) |

Sets the value for ColorA in the options object The difference color for deletions

Parameters

  color,: | the new value for ColorA in the form of R, G, B

Returns
  this object, for call chaining

TextDiffOptions& pdftron::PDF::TextDiffOptions::SetColorB | ( | ColorPt | color | ) |

Sets the value for ColorB in the options object The difference color for insertions

Parameters

  color,: | the new value for ColorB in the form of R, G, B

Returns
  this object, for call chaining

TextDiffOptions& pdftron::PDF::TextDiffOptions::SetCompareStyles | ( | bool | value | ) |

Sets the value for CompareStyles in the options object Whether to highlight text style differences. Off by default. Text style includes font, size, bold, italic and text color. For example, if a word is italic in document A and is bold in document B, we can highlight the location of the word in both documents.

Parameters

  value,: | the new value for CompareStyles

Returns
  this object, for call chaining

TextDiffOptions& pdftron::PDF::TextDiffOptions::SetCompareUsingZOrder | ( | bool | value | ) |

Sets the value for CompareUsingZOrder in the options object Whether to use z-order (aka paint order) when comparing text between A and B. On by default.

Parameters

  value,: | the new value for CompareUsingZOrder

Returns
  this object, for call chaining

TextDiffOptions& pdftron::PDF::TextDiffOptions::SetExtraMoveColor | ( | ColorPt | color | ) |

Sets the value for ExtraMoveColor in the options object The difference color for extra moves

Parameters

  color,: | the new value for ExtraMoveColor in the form of R, G, B

Returns
  this object, for call chaining

TextDiffOptions& pdftron::PDF::TextDiffOptions::SetExtraMoveHighlight | ( | bool | value | ) |

Sets the value for ExtraMoveHighlight in the options object Whether to highlight text in between short-distance moves when comparing text between A and B. Off by default.

Parameters

  value,: | the new value for ExtraMoveHighlight

Returns
  this object, for call chaining

TextDiffOptions& pdftron::PDF::TextDiffOptions::SetExtraMoveOpacity | ( | double | opacity | ) |

Sets the value for ExtraMoveOpacity in the options object The difference opacity for extra moves

Parameters

  opacity,: | the new value for ExtraMoveOpacity in between 0.0 (transparent) and 1.0 (opaque)

Returns
  this object, for call chaining

TextDiffOptions& pdftron::PDF::TextDiffOptions::SetOpacityA | ( | double | opacity | ) |

Sets the value for OpacityA in the options object The difference opacity for deletions

Parameters

  opacity,: | the new value for OpacityA in between 0.0 (transparent) and 1.0 (opaque)

Returns
  this object, for call chaining

TextDiffOptions& pdftron::PDF::TextDiffOptions::SetOpacityB | ( | double | opacity | ) |

Sets the value for OpacityB in the options object The difference opacity for insertions

Parameters

  opacity,: | the new value for OpacityB in between 0.0 (transparent) and 1.0 (opaque)

Returns
  this object, for call chaining

TextDiffOptions& pdftron::PDF::TextDiffOptions::SetShowPlaceholders | ( | bool | value | ) |

Sets the value for ShowPlaceholders in the options object Whether to show placeholder annotations. On by default. Placeholders are insertion locations in document A and deletion locations in document B. For example, if a word is removed from document B, we can highlight the location of the original word in document A, but there is no word to highlight in B (it's removed). In this case a small "placeholder" annotation is placed in B to identify the location of the removal.

Parameters

  value,: | the new value for ShowPlaceholders

Returns
  this object, for call chaining

The documentation for this class was generated from the following file:

- PDF/TextDiffOptions.h